Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
LevelMatchFilter Class Reference

This is a very simple filter based on level matching. More...

Inherits Filter.

## Public Types
typedef spi::Filter | BASE_CLASS
Public Types inherited from Filter
enum | FilterDecision { DENY = -1, NEUTRAL = 0, ACCEPT = 1 }

## Public Member Functions
| LevelMatchFilter ()
virtual void | setOption (const LogString &option, const LogString &value)
| Set options. More...
void | setLevelToMatch (const LogString &levelToMatch)
LogString | getLevelToMatch () const
void | setAcceptOnMatch (bool acceptOnMatch1)
bool | getAcceptOnMatch () const
FilterDecision | decide (const spi::LoggingEventPtr &event) const
| Return the decision of this filter. More...
Public Member Functions inherited from Filter
| Filter ()
void | addRef () const
void | releaseRef () const
log4cxx::spi::FilterPtr | getNext () const
void | setNext (const log4cxx::spi::FilterPtr &newNext)
void | activateOptions (log4cxx::helpers::Pool &p)
| Usually filters options become active when set. More...
void | setOption (const LogString &option, const LogString &value)
| Set `option` to `value`. More...
Public Member Functions inherited from OptionHandler
virtual | ~OptionHandler ()
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

This is a very simple filter based on level matching.

The filter admits two options LevelToMatch and AcceptOnMatch. If there is an exact match between the value of the LevelToMatch option and the level of the LoggingEvent, then the decide method returns ACCEPT in case the AcceptOnMatch option value is set to `true`, if it is `false` then DENY is returned. If there is no match, NEUTRAL is returned.

## Member Typedef Documentation

typedef spi::Filter BASE_CLASS

## Constructor & Destructor Documentation

LevelMatchFilter | ( |  | ) |

## Member Function Documentation

FilterDecision decide | ( | const spi::LoggingEventPtr & | event | ) | const
| virtual

Return the decision of this filter.

Returns NEUTRAL if the LevelToMatch option is not set or if there is not match. Otherwise, if there is a match, then the returned decision is ACCEPT if the AcceptOnMatch property is set to `true`. The returned decision is DENY if the AcceptOnMatch property is set to false.

Implements Filter.

bool getAcceptOnMatch | ( |  | ) | const
| inline

LogString getLevelToMatch | ( |  | ) | const

void setAcceptOnMatch | ( | bool | acceptOnMatch1 | ) |
| inline

void setLevelToMatch | ( | const LogString & | levelToMatch | ) |

virtual void setOption | ( | const LogString & | option,
|  | const LogString & | value
| ) |  |
| virtual

Set options.

Implements OptionHandler.

The documentation for this class was generated from the following file:

- levelmatchfilter.h